import { ReactNode } from 'react';
export interface TextAreaProps {
    onClearButtonClicked: (text: string) => void;
    disable?: {
        isDisabled?: boolean;
        fillColor?: string;
    };
    text?: {
        color?: string;
        size?: number;
    };
    border: {
        color?: string;
        hoverColor?: string;
    };
    placeholder: {
        color?: string;
        text?: string;
    };
    rows: number;
    children?: ReactNode;
}
declare function TextArea(props: TextAreaProps): import("react/jsx-runtime").JSX.Element;
declare namespace TextArea {
    var defaultProps: {
        rows: number;
        placeholder: {
            color: string;
            text: string;
        };
        text: {
            color: string;
            size: number;
        };
        border: {
            color: string;
            hoverColor: string;
        };
        disable: {
            isDisabled: boolean;
            fillColor: string;
        };
        onClearButtonClicked: (text: string) => void;
    };
}
export default TextArea;
