import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { ButtonProps } from '../../molecules/Button/Button';
export interface Card1Props {
    logoUrl?: string;
    title?: ParagraphProps;
    description?: ParagraphProps;
    name?: ParagraphProps;
    company?: ParagraphProps;
    isMobile?: boolean;
    backgroundColor?: string;
    buttonProps?: ButtonProps;
}
declare function Card1(props: Card1Props): import("react/jsx-runtime").JSX.Element;
declare namespace Card1 {
    var defaultProps: {
        logoUrl: string;
        title: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        description: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        name: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        company: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        isMobile: boolean;
        backgroundColor: string;
        buttonProps: {
            buttonType: string;
            size: string;
            content: string;
            backgroundColor: string;
            color: string;
            border: {
                width: number;
                radius: number;
                color: any;
            };
            icon: string;
            iconPosition: string;
            isLoading: boolean;
            isDisabled: boolean;
            isFullWidth: boolean;
        };
    };
}
export default Card1;
