import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
export interface Feature3Props {
    imageUrls?: string[];
    thumbnail?: string;
    badgeProps?: BadgeProps;
    subTitleProps?: TitleProps;
    titleProps?: TitleProps;
    descriptionProps?: ParagraphProps;
    isMobile?: boolean;
    backgroundColor?: string;
    buttonProps?: ButtonProps;
    isReverse?: boolean;
}
declare function Feature3(props: Feature3Props): import("react/jsx-runtime").JSX.Element;
declare namespace Feature3 {
    var defaultProps: {
        thumbnail: string;
        imageUrls: string[];
        badgeProps: {
            size: string;
            round: string;
            content: string;
            backgroundColor: string;
            color: string;
            icon: any;
            iconPosition: string;
            iconSize: number;
            isVisible: boolean;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        descriptionProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        backgroundColor: string;
        buttonProps: {
            buttonType: string;
            size: string;
            content: string;
            backgroundColor: string;
            color: string;
            border: {
                width: number;
                radius: number;
                color: any;
            };
            icon: string;
            iconPosition: string;
            isLoading: boolean;
            isDisabled: boolean;
            isFullWidth: boolean;
        };
        isMobile: boolean;
        isReverse: boolean;
    };
}
export default Feature3;
