import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { ButtonProps } from '../../molecules/Button/Button';
export interface CtaSection1Props {
    subTitle: TitleProps;
    title: TitleProps;
    description: ParagraphProps;
    buttons: ButtonProps[];
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
}
declare function CtaSection1(props: CtaSection1Props): import("react/jsx-runtime").JSX.Element;
declare namespace CtaSection1 {
    var defaultProps: {
        subTitle: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        title: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        description: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        buttons: any[];
        backgroundImage: string;
        backgroundColor: string;
        isMobile: boolean;
    };
}
export default CtaSection1;
