/// <reference types="react" />
import { TitleProps } from '../../atoms/Title/Title';
import { CarouselProps } from '../Carousel1/Carousel1';
export interface Review5Props {
    slides: React.ReactNode[];
    titleProps: TitleProps;
    carouselProps: CarouselProps;
    backgroundColor?: string;
    isMobile?: boolean;
    gap?: number;
    padding?: {
        left?: number;
        right?: number;
        top?: number;
        bottom?: number;
    };
}
declare function Review5(props: Review5Props): import("react/jsx-runtime").JSX.Element;
declare namespace Review5 {
    var defaultProps: {
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        carouselProps: {
            slides: any[];
            spaceBetween: number;
            slidesPerView: number;
            padding: {
                top: number;
                bottom: number;
                left: number;
                right: number;
            };
            pagination: boolean;
            prevNavigation: {
                isHideOnFirstPage: boolean;
                buttonProps: {
                    iconSize: number;
                    color: string;
                    backgroundColor: string;
                    borderRadius: string;
                    icon: string;
                    opacity: number;
                    onClick: () => void;
                };
            };
            nextNavigation: {
                isHideOnLastPage: boolean;
                buttonProps: {
                    iconSize: number;
                    color: string;
                    backgroundColor: string;
                    borderRadius: string;
                    icon: string;
                    opacity: number;
                    onClick: () => void;
                };
            };
        };
        slides: any[];
        backgroundColor: string;
        gap: number;
        padding: {
            top: number;
            bottom: number;
            right: number;
            left: number;
        };
        isMobile: boolean;
    };
}
export default Review5;
