import type { Meta, StoryObj } from '@storybook/react';
import Button from './Button';
import { iconNames } from '../../atoms/Icon';

const meta: Meta<typeof Button> = {
  title: 'molecules/Button',
  component: Button as any,
  argTypes: {
    icon: {
      options: iconNames,
    },
  },
  excludeStories: /^[a-z]/,
};

export default meta;
type Story = StoryObj<typeof Button>;

export const 기본: Story = {
  render: args => <Button {...args} />,
  args: Button.defaultProps as any,
};
