module.exports = {
  env: {
    browser: true,
    es6: true,
  },
  extends: ['eslint:recommended', 'plugin:react/recommended', 'plugin:@typescript-eslint/eslint-recommended', 'plugin:storybook/recommended'],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly',
  },
  parser: '@typescript-eslint/parser',
  parserOptions: {
    ecmaFeatures: {
      jsx: true,
    },
    ecmaVersion: 2018,
    sourceType: 'module',
  },
  plugins: ['react', '@typescript-eslint'],
  rules: {
    'no-unused-vars': 0,
    'no-undef': 0,
    'react/react-in-jsx-scope': 0,
    'react/jsx-key': 0,
    'react/display-name': 0,
    'no-empty-pattern': 0,
    'react/prop-types': 0,
    'react/no-children-prop': 0,
    'storybook/prefer-pascal-case': 0,
  },
};
