export interface ParagraphProps {
    content?: string;
    size?: 'sm' | 'md' | 'lg';
    textAlign?: 'left' | 'center' | 'right';
    fontWeight?: 'normal' | 'bold';
    whiteSpace?: string;
    isMobile?: boolean;
    color?: string;
    partialColors?: string[];
    margin?: string;
    padding?: string;
    isVisible?: boolean;
    isFullWidth?: boolean;
}
declare function Paragraph(props: ParagraphProps): import("react/jsx-runtime").JSX.Element;
declare namespace Paragraph {
    var defaultProps: {
        content: string;
        size: string;
        color: string;
        partialColors: string[];
        fontWeight: string;
        isMobile: boolean;
        isVisible: boolean;
        isFullWidth: boolean;
        textAlign: string;
    };
}
export default Paragraph;
export declare const smallFontStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<ParagraphProps, any>>;
export declare const mediumFontStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<ParagraphProps, any>>;
export declare const largeFontStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<ParagraphProps, any>>;
export declare const ParagraphStyled: import("styled-components").StyledComponent<"p", any, ParagraphProps, never>;
