export interface TitleProps {
    content?: string;
    size?: 'xl' | 'lg' | 'md' | 'sm';
    textAlign?: 'start' | 'center' | 'end';
    fontWeight?: 'normal' | 'bold';
    highlight?: {
        height: number;
        color: string;
        isVisible: boolean;
    };
    color?: string;
    partialColors?: string[];
    isMobile?: boolean;
    margin?: string;
    padding?: string;
    isVisible?: boolean;
    isFullWidth?: boolean;
}
declare function Title(props: TitleProps): import("react/jsx-runtime").JSX.Element;
declare namespace Title {
    var defaultProps: {
        size: string;
        content: string;
        color: string;
        partialColors: string[];
        fontWeight: string;
        highlight: {
            height: number;
            color: string;
            isVisible: boolean;
        };
        isMobile: boolean;
        isVisible: boolean;
        isFullWidth: boolean;
        textAlign: string;
    };
}
export default Title;
export declare const TitleStyled: import("styled-components").StyledComponent<"h1", any, TitleProps, never>;
