/// <reference types="react" />
interface OptionType {
    value: string | number;
    label: string | React.ReactNode;
    isDisabled?: boolean;
}
interface SelectInputProps {
    isDisabled?: boolean;
    options?: OptionType[];
    defaultMenuIsOpen?: boolean;
    placeholder?: string;
}
declare function SelectInput(props: SelectInputProps): import("react/jsx-runtime").JSX.Element;
declare namespace SelectInput {
    var defaultProps: {
        isDisabled: boolean;
        options: {
            value: string;
            label: string;
            isDisabled: boolean;
        }[];
        placeholder: string;
    };
}
export default SelectInput;
