import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { ButtonProps } from '../../molecules/Button/Button';
export interface Feature2Props {
    thumbnail?: string;
    titleProps?: TitleProps;
    descriptionProps?: ParagraphProps;
    isMobile?: boolean;
    backgroundColor?: string;
    buttonProps?: ButtonProps;
    imageBorderRadius?: number;
}
declare function Feature2(props: Feature2Props): import("react/jsx-runtime").JSX.Element;
declare namespace Feature2 {
    var defaultProps: {
        thumbnail: string;
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        descriptionProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        isMobile: boolean;
        backgroundColor: string;
        buttonProps: {
            buttonType: string;
            size: string;
            content: string;
            backgroundColor: string;
            color: string;
            border: {
                width: number;
                radius: number;
                color: any;
            };
            icon: string;
            iconPosition: string;
            isLoading: boolean;
            isDisabled: boolean;
            isFullWidth: boolean;
        };
        imageBorderRadius: number;
    };
}
export default Feature2;
