import * as React from 'react';
export interface HeaderProps {
    direction?: 'row' | 'column';
    menus?: {
        text: string;
        href: string;
        isActive: boolean;
    }[];
    menuColor?: string;
    menuGap?: number;
    menuButtonGap?: number;
    borderBottomColor?: string;
    logo?: string;
    logoHeight?: number;
    headerBackground: string;
    isMobile?: boolean;
    buttons: React.ReactNode[];
}
declare function Header(props: HeaderProps): import("react/jsx-runtime").JSX.Element;
declare namespace Header {
    var defaultProps: {
        borderBottomColor: string;
        headerBackground: string;
        menuColor: string;
        menus: {
            text: string;
            href: any;
            isActive: boolean;
        }[];
        menuGap: number;
        menuButtonGap: number;
        logo: string;
        logoHeight: number;
        buttons: import("react/jsx-runtime").JSX.Element[];
        isMobile: boolean;
    };
}
export default Header;
