import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
export interface Member1Props {
    thumbnail?: string;
    badgeListProps?: BadgeProps[];
    subTitleProps?: TitleProps;
    titleProps?: TitleProps;
    descriptionProps?: ParagraphProps;
    isMobile?: boolean;
    backgroundColor?: string;
    buttonProps?: ButtonProps;
    isReverse?: boolean;
}
declare function Member1(props: Member1Props): import("react/jsx-runtime").JSX.Element;
declare namespace Member1 {
    var defaultProps: {
        badgeListProps: any[];
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        descriptionProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        buttonProps: {
            buttonType: string;
            size: string;
            content: string;
            backgroundColor: string;
            color: string;
            border: {
                width: number;
                radius: number;
                color: any;
            };
            icon: string;
            iconPosition: string;
            isLoading: boolean;
            isDisabled: boolean;
            isFullWidth: boolean;
        };
        thumbnail: string;
        backgroundColor: string;
        isMobile: boolean;
        isReverse: boolean;
    };
}
export default Member1;
