import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
export interface FeatureSection1Props {
    imageUrls: string[];
    badgeProps: BadgeProps;
    subTitleProps: TitleProps;
    titleProps: TitleProps;
    paragraphProps: ParagraphProps;
    imageUrl?: string;
    buttonsProps: ButtonProps[];
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
    isCenter?: boolean;
}
declare function FeatureSection1(props: FeatureSection1Props): import("react/jsx-runtime").JSX.Element;
declare namespace FeatureSection1 {
    var defaultProps: {
        imageUrl: string;
        imageUrls: string[];
        badgeProps: {
            size: string;
            round: string;
            content: string;
            backgroundColor: string;
            color: string;
            icon: any;
            iconPosition: string;
            iconSize: number;
            isVisible: boolean;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        paragraphProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        buttonsProps: any[];
        backgroundImage: any;
        backgroundColor: string;
        isMobile: boolean;
        isCenter: boolean;
    };
}
export default FeatureSection1;
