import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { ButtonProps } from '../../molecules/Button/Button';
interface FooterItem {
    titleProps: ParagraphProps;
    descriptionProps: ParagraphProps;
}
export interface Footer2Props {
    titleProps: TitleProps;
    paragraphProps: ParagraphProps;
    buttonsProps: ButtonProps[];
    footerItems1: FooterItem[];
    footerItems2: FooterItem[];
    footerItems3: FooterItem[];
    footerItems4: FooterItem[];
    copyrightProps: ParagraphProps;
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
    isCenter?: boolean;
    paddingY?: number;
}
declare function Footer2(props: Footer2Props): import("react/jsx-runtime").JSX.Element;
declare namespace Footer2 {
    var defaultProps: {
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        paragraphProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        footerItems1: {
            titleProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            descriptionProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
        }[];
        footerItems2: {
            titleProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            descriptionProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
        }[];
        footerItems3: {
            titleProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            descriptionProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
        }[];
        footerItems4: {
            titleProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
            descriptionProps: {
                content: string;
                size: string;
                color: string;
                partialColors: string[];
                fontWeight: string;
                isMobile: boolean;
                isVisible: boolean;
                isFullWidth: boolean;
                textAlign: string;
            };
        }[];
        copyrightProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        buttonsProps: any[];
        backgroundImage: string;
        backgroundColor: string;
        isMobile: boolean;
        isCenter: boolean;
        paddingY: number;
    };
}
export default Footer2;
