import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
export interface TextSection2Props {
    isMobile?: boolean;
    subTitleProps?: TitleProps;
    titleProps?: TitleProps;
    features?: {
        titleProps: TitleProps;
        descriptionProps: ParagraphProps;
    }[];
    backgroundImage?: string;
    backgroundColor?: string;
    contentBackgroundColor?: string;
    contentPadding?: {
        top?: number;
        bottom?: number;
        left?: number;
        right?: number;
        isApply?: boolean;
    };
}
declare function TextSection2(props: TextSection2Props): import("react/jsx-runtime").JSX.Element;
declare namespace TextSection2 {
    var defaultProps: {
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        features: any[];
        backgroundImage: string;
        backgroundColor: string;
        contentBackgroundColor: string;
        contentPadding: {
            top: number;
            bottom: number;
            left: number;
            right: number;
            isApply: boolean;
        };
        isMobile: boolean;
    };
}
export default TextSection2;
