import { ReactNode } from 'react';
interface ContainerProps {
    direction?: 'row' | 'column';
    isMobile?: boolean;
    isCenter?: boolean;
    backgroundColor?: string;
    backgroundImage?: string;
    children?: ReactNode;
    padding?: string;
}
/** Contaiener 컴포넌트는 컨텐츠의 최대 가로폭을 지정하는 역할을 합니다. */
declare function Container(props: ContainerProps): import("react/jsx-runtime").JSX.Element;
declare namespace Container {
    var defaultProps: {
        direction: string;
        isMobile: boolean;
        isCenter: boolean;
        backgroundColor: string;
    };
}
export default Container;
